## ispack-g95 0.71

=== sample/3D-box-mpi/Makefile ===
SHELL = /bin/sh

include ../../Mkinclude

LIBDIR = ../../
LIB = isp
XDIR = /usr/X11R6/lib
XLIB = X11
DCLDIR = /usr/lib/dcl-5.0.1
DCLLIB = dcl

.SUFFIXES: .f .o .out

clean:
	rm -f *.out
	rm -f *.o	
	rm -f *~

.f.out:
	$(MPIFC) $(MPIFFLAGS) $< -L$(LIBDIR) -l$(LIB)  \
	         -L$(XDIR) -l$(XLIB) \
	         -L$(DCLDIR) -l$(DCLLIB) \
	-o $@

## ispack-g95 0.71-0.9

=== debian/changelog ===
ispack-g95 (0.71-0.9) unstable; urgency=low

  * Compiled by G95 Fortran compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Mon, 19 Nov 2007 02:00:08 +0900

Local variables:
mode: change-log
End:

## ispack-g95 0.71-0.91

=== debian/changelog ===
ispack-g95 (0.71-0.91) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sat, 21 Jun 2008 02:35:09 +0900

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Select EXT and FC variables before building the package 
#
#    for G95 compiler
export EXT=g95

package=ispack-$(EXT)

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

config.status:
	dh_testdir
	# Add here commands to configure the package.

build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	cp debian/Mkinclude.$(EXT) Mkinclude
	FC=$(FC) CC=$(CC) $(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
#	$(MAKE) distclean
	$(MAKE) veryclean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/ispack.
	-rm -rf $(CURDIR)/debian/$(package) `find debian/* -type d`
	install -d $(CURDIR)/debian/$(package)
	cd $(CURDIR)/debian/$(package) && install -d `cat ../dirs`
	FC=$(FC) CC=$(CC) $(MAKE) shared
	FC=$(FC) CC=$(CC) $(MAKE) static


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installman
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## ispack-g95 0.71-20061022

=== debian/changelog ===
ispack-g95 (0.71-20061022) unstable; urgency=low

  * New upstream release

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Wed, 25 Oct 2006 23:31:58 +0900

Local variables:
mode: change-log
End:

## ispack-g95 0.71-20061027

=== debian/changelog ===
ispack-g95 (0.71-20061027) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Mon, 30 Oct 2006 17:48:01 +0900

## ispack-g95 0.71-20061115

=== debian/changelog ===
ispack-g95 (0.71-20061115) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Mon, 20 Nov 2006 02:00:03 +0900

ispack-g95 (0.71-20061106) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Tue,  7 Nov 2006 18:49:59 +0900

ispack-g95 (0.71-20061102) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Mon,  6 Nov 2006 02:00:04 +0900

## ispack-g95 0.71-20061130

=== debian/changelog ===
ispack-g95 (0.71-20061130) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Mon,  4 Dec 2006 02:00:05 +0900

ispack-g95 (0.71-20061121) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Mon, 27 Nov 2006 02:00:06 +0900

## ispack-g95 0.71-20061219

=== debian/changelog ===
ispack-g95 (0.71-20061219) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Mon, 25 Dec 2006 02:00:05 +0900

ispack-g95 (0.71-20061212) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Mon, 18 Dec 2006 02:00:05 +0900

ispack-g95 (0.71-20061207) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Mon, 11 Dec 2006 02:00:03 +0900

## ispack-g95 0.71-20070117

=== debian/changelog ===
ispack-g95 (0.71-20070117) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Mon, 22 Jan 2007 02:00:05 +0900

ispack-g95 (0.71-20070112) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Mon, 15 Jan 2007 02:00:07 +0900

ispack-g95 (0.71-20070105) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Mon,  8 Jan 2007 02:00:06 +0900

## ispack-g95 0.71-20070202

=== debian/changelog ===
ispack-g95 (0.71-20070202) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Mon,  5 Feb 2007 02:00:07 +0900

ispack-g95 (0.71-20070124) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Mon, 29 Jan 2007 02:00:07 +0900

## ispack-g95 0.71-20070215

=== debian/changelog ===
ispack-g95 (0.71-20070215) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Mon, 19 Feb 2007 02:00:05 +0900

ispack-g95 (0.71-20070209) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Mon, 12 Feb 2007 02:00:07 +0900

## ispack-g95 0.71-20070223

=== debian/changelog ===
ispack-g95 (0.71-20070223) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Mon, 26 Feb 2007 02:00:04 +0900

## ispack-g95 0.71-20070307

=== debian/changelog ===
ispack-g95 (0.71-20070307) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Mon, 12 Mar 2007 02:00:07 +0900

ispack-g95 (0.71-20070228) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Mon,  5 Mar 2007 02:00:05 +0900

## ispack-g95 0.71-20070312

=== Makefile ===
#
#       Makefile for ispack
#

include Mkinclude

all:
	@for i in $(DIRS) ; do \
	  cd $$i/src ; \
	  echo "Making $$i/src" ; \
	  $(MAKE) ; \
	  cd ../.. ; \
	done

static: all
	$(AR) $(ARFLAGS) $(STATICLIB) */src/*.o
	$(RANLIB) $(STATICLIB)

shared: all
	$(CC) $(CFLAGS) -o $(SHAREDLIB) */src/*.o

src:
	@for i in $(DIRS) ; do \
	  cd $$i/src ; \
	  $(MAKE) src ; \
	  cd ../.. ; \
	done

pack: src
	@for i in $(DIRS) ; do \
	  echo "Packing $$i/src" ; \
	  $(CAT) $$i/src/*.f $$i/src/*.mpif >> $(PACKFILE) ; \
	done

clean:
	@for i in $(DIRS) ; do \
	  cd $$i/src ; \
	  echo "Cleaning $$i/src" ; \
	  $(MAKE) clean ; \
	  cd ../.. ; \
	done

veryclean: clean
	echo "Cleaning lib"
	$(RM) $(STATICLIB)
	$(RM) $(SHAREDLIB)
	$(RM) $(PACKFILE)
	$(RM) *~
	$(RM) */*~
	$(RM) */*/*~
	$(RM) */*/*.dat
	$(RM) */*/*.out	
	$(RM) */doc/*.dvi
	$(RM) */doc/*.log	
	$(RM) */doc/*.aux		

release:
	@r=ispack-`cat VERSION`;\
	  echo "Making release $$r";\
	  rsync -av . ../$$r/ --exclude /test --exclude /obsolete --exclude *.dat --exclude *.out  --exclude *.o --exclude *.old --exclude *.a --delete ;\
 	  cd ../$$r; make veryclean;\
	  cd ..; tar czf $$r.tar.gz $$r

=== p2pack/src/Makefile ===
OBJS = p2init.o p2s2ga.o p2g2sa.o p2ajbs.o p2swnl.o p2swnn.o p2swbl.o \
       p2swck.o p2ajcb.o
TMPSRC = p2s2ga.f p2g2sa.f
include ../../Mkinclude.sub

=== debian/changelog ===
ispack-g95 (0.71-20070312) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Mon, 19 Mar 2007 02:00:07 +0900

## ispack-g95 0.71-20070330

=== debian/changelog ===
ispack-g95 (0.71-20070330) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Mon,  2 Apr 2007 02:00:07 +0900

ispack-g95 (0.71-20070320) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Mon, 26 Mar 2007 02:00:07 +0900

## ispack-g95 0.71-20070412

=== debian/changelog ===
ispack-g95 (0.71-20070412) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Mon, 16 Apr 2007 02:00:09 +0900

ispack-g95 (0.71-20070404) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Mon,  9 Apr 2007 02:00:08 +0900

## ispack-g95 0.71-20070418

=== debian/changelog ===
ispack-g95 (0.71-20070418) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Mon, 23 Apr 2007 02:00:07 +0900

## ispack-g95 0.71-20070426

=== debian/changelog ===
ispack-g95 (0.71-20070426) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Mon, 30 Apr 2007 02:00:05 +0900

## ispack-g95 0.71-20070503

=== debian/changelog ===
ispack-g95 (0.71-20070503) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Mon,  7 May 2007 02:00:09 +0900

## ispack-g95 0.71-20070510

=== debian/changelog ===
ispack-g95 (0.71-20070510) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Mon, 14 May 2007 02:00:05 +0900

## ispack-g95 0.71-20070524

=== debian/changelog ===
ispack-g95 (0.71-20070524) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Mon, 28 May 2007 02:00:08 +0900

## ispack-g95 0.71-20070529

=== debian/changelog ===
ispack-g95 (0.71-20070529) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Mon,  4 Jun 2007 02:00:08 +0900

## ispack-g95 0.71-20070627

=== debian/changelog ===
ispack-g95 (0.71-20070627) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Mon,  2 Jul 2007 02:00:08 +0900

ispack-g95 (0.71-20070604) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Mon, 11 Jun 2007 02:00:05 +0900

## ispack-g95 0.71-20070717

=== debian/changelog ===
ispack-g95 (0.71-20070717) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Mon, 23 Jul 2007 02:00:07 +0900

ispack-g95 (0.71-20070710) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Mon, 16 Jul 2007 02:00:07 +0900

## ispack-g95 0.71-20070725

=== ndpack/src/Makefile ===
OBJS = ndc.o ndg.o ndv.o ndd.o ndt.o
include ../../Mkinclude.sub

=== debian/changelog ===
ispack-g95 (0.71-20070725) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Mon, 30 Jul 2007 02:00:03 +0900

## ispack-g95 0.71-20070810

=== debian/changelog ===
ispack-g95 (0.71-20070810) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Mon, 13 Aug 2007 02:00:07 +0900

## ispack-g95 0.71-20070815

=== debian/changelog ===
ispack-g95 (0.71-20070815) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Mon, 20 Aug 2007 02:00:05 +0900

## ispack-g95 0.71-20070822

=== debian/changelog ===
ispack-g95 (0.71-20070822) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Mon, 27 Aug 2007 02:00:07 +0900

## ispack-g95 0.71-20070906

=== debian/changelog ===
ispack-g95 (0.71-20070906) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Mon, 10 Sep 2007 02:00:05 +0900

ispack-g95 (0.71-20070828) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Mon,  3 Sep 2007 02:00:08 +0900

## ispack-g95 0.71-20070925

=== debian/changelog ===
ispack-g95 (0.71-20070925) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Mon,  1 Oct 2007 02:00:06 +0900

ispack-g95 (0.71-20070912) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Mon, 17 Sep 2007 02:00:07 +0900

## ispack-g95 0.71-20071017

=== debian/changelog ===
ispack-g95 (0.71-20071017) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Mon, 22 Oct 2007 02:00:07 +0900

=== debian/control ===
Source: ispack-g95
Section: math
Priority: optional
Maintainer: Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.1

Package: ispack-g95
Architecture: i386
Depends: lapack-g95-dev
Suggests: 
Recommends: g95
Description: ISPACK FORTRAN subroutine library for scientific computing (without MPI packages).
 This package is built with G95 compiler.
 Please visit http://www.gfd-dennou.org/library/ispack/ (in Japanese).

## ispack-g95 0.71-20071106

=== debian/changelog ===
ispack-g95 (0.71-20071106) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Mon, 12 Nov 2007 02:00:03 +0900

ispack-g95 (0.71-20071026) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Mon, 29 Oct 2007 02:00:09 +0900

## ispack-g95 0.71-20071116

=== debian/changelog ===
ispack-g95 (0.71-20071116) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Mon, 19 Nov 2007 02:00:08 +0900

## ispack-g95 0.71-20071129

=== debian/changelog ===
ispack-g95 (0.71-20071129) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Mon,  3 Dec 2007 02:00:21 +0900

## ispack-g95 0.71-20080618

=== debian/changelog ===
ispack-g95 (0.71-20080618) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@studenno.kugi.kyoto-u.ac.jp>  Sat, 21 Jun 2008 02:31:21 +0900

## ispack-g95 0.71-20080708

=== debian/changelog ===
ispack-g95 (0.71-20080708) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Mon, 14 Jul 2008 02:00:18 +0900

ispack-g95 (0.71-20080701) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Mon,  7 Jul 2008 02:00:14 +0900

## ispack-g95 0.71-20080715

=== debian/changelog ===
ispack-g95 (0.71-20080715) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Mon, 21 Jul 2008 02:00:15 +0900

## ispack-g95 0.71-20080724

=== debian/changelog ===
ispack-g95 (0.71-20080724) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Mon, 28 Jul 2008 02:00:18 +0900

## ispack-g95 0.71-20080731

=== debian/changelog ===
ispack-g95 (0.71-20080731) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Mon,  4 Aug 2008 02:00:14 +0900

## ispack-g95 0.71-20080810

=== debian/changelog ===
ispack-g95 (0.71-20080810) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Mon, 11 Aug 2008 02:00:14 +0900

## ispack-g95 0.71-20080813

=== debian/changelog ===
ispack-g95 (0.71-20080813) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Mon, 18 Aug 2008 02:00:19 +0900

## ispack-g95 0.71-20080824

=== debian/changelog ===
ispack-g95 (0.71-20080824) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Mon, 25 Aug 2008 02:00:18 +0900

## ispack-g95 0.71-20080831

=== debian/changelog ===
ispack-g95 (0.71-20080831) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Mon,  1 Sep 2008 02:00:19 +0900

## ispack-g95 0.71-20080916

=== debian/changelog ===
ispack-g95 (0.71-20080916) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Mon, 22 Sep 2008 02:00:26 +0900

ispack-g95 (0.71-20080911) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Mon, 15 Sep 2008 02:00:17 +0900

ispack-g95 (0.71-20080905) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Mon,  8 Sep 2008 02:00:14 +0900

## ispack-g95 0.71-20080924

=== debian/changelog ===
ispack-g95 (0.71-20080924) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Mon, 29 Sep 2008 02:00:17 +0900

## ispack-g95 0.71-20081002

=== debian/changelog ===
ispack-g95 (0.71-20081002) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Mon,  6 Oct 2008 02:00:13 +0900

## ispack-g95 0.71-20081009

=== debian/changelog ===
ispack-g95 (0.71-20081009) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Mon, 13 Oct 2008 02:00:19 +0900

## ispack-g95 0.71-20081017

=== debian/changelog ===
ispack-g95 (0.71-20081017) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Mon, 20 Oct 2008 02:00:14 +0900

## ispack-g95 0.71-20081023

=== debian/changelog ===
ispack-g95 (0.71-20081023) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Mon, 27 Oct 2008 02:00:18 +0900

## ispack-g95 0.71-20081027

=== debian/changelog ===
ispack-g95 (0.71-20081027) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Mon,  3 Nov 2008 02:00:19 +0900

## ispack-g95 0.71-20081105

=== debian/changelog ===
ispack-g95 (0.71-20081105) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Mon, 10 Nov 2008 02:00:16 +0900

## ispack-g95 0.71-20081114

=== debian/changelog ===
ispack-g95 (0.71-20081114) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Mon, 17 Nov 2008 02:00:13 +0900

## ispack-g95 0.71-20081118

=== debian/changelog ===
ispack-g95 (0.71-20081118) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Mon, 24 Nov 2008 02:00:18 +0900

## ispack-g95 0.71-20081127

=== debian/changelog ===
ispack-g95 (0.71-20081127) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Mon,  1 Dec 2008 02:00:15 +0900

## ispack-g95 0.71-20081203

=== debian/changelog ===
ispack-g95 (0.71-20081203) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Mon,  8 Dec 2008 02:00:18 +0900

## ispack-g95 0.71-20081216

=== debian/changelog ===
ispack-g95 (0.71-20081216) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Mon, 22 Dec 2008 02:00:18 +0900

ispack-g95 (0.71-20081211) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Mon, 15 Dec 2008 02:00:17 +0900

## ispack-g95 0.71-20090107

=== debian/changelog ===
ispack-g95 (0.71-20090107) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Mon, 12 Jan 2009 02:00:19 +0900

## ispack-g95 0.71-20090204

=== debian/changelog ===
ispack-g95 (0.71-20090204) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Mon,  9 Feb 2009 02:00:22 +0900

ispack-g95 (0.71-20090129) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Mon,  2 Feb 2009 02:00:20 +0900

ispack-g95 (0.71-20090116) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Mon, 19 Jan 2009 02:00:18 +0900

## ispack-g95 0.71-20090219

=== debian/changelog ===
ispack-g95 (0.71-20090219) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Mon, 23 Feb 2009 02:00:20 +0900

## ispack-g95 0.71-20090226

=== debian/changelog ===
ispack-g95 (0.71-20090226) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Mon,  2 Mar 2009 02:00:16 +0900

## ispack-g95 0.93

=== debian/changelog ===
ispack-g95 (0.93-1) unstable; urgency=low

  * Imported Upstream version 0.93

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Tue, 18 Jan 2011 03:53:53 +0900

ispack-g95 (0.91-1) unstable; urgency=low

  * Imported Upstream version 0.91
  * Bump Upstream Version
  * Change Soruce Format: 3.0(quilt)

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Tue, 02 Mar 2010 13:47:41 +0900

ispack-g95 (0.90-2) unstable; urgency=low

  * Section changed:
    - fixed type

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Mon, 12 Oct 2009 07:56:25 +0900

ispack-g95 (0.90-1) unstable; urgency=low

  * New Upstream Version

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Sun, 23 Aug 2009 14:19:33 +0900

=== debian/control ===
Source: ispack-g95
Section: science
Priority: optional
Maintainer: Youhei SASAKI <uwabami@gfd-dennou.org>
Build-Depends: cdbs, debhelper (>= 7), g95, openmpi-g95, quilt
Standards-Version: 3.9.1
Homepage: http://www.gfd-dennou.org/arch/ispack/

Package: libispack-g95-dev
Section: libdevel
Replaces: ispack (<= 0.71)
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends} 
Suggests: g95, openmpi-g95
Description: FORTRAN77 subroutine library for scientific computing
 ISPACK is a Fortran 77 subroutine library(spectral transformation,
 time integration, and IO, etc.) for Computational Fluid Dynamics.
 This package provides static library. 
  
Package: ispack-g95
Conflicts: ispack (<= 0.71)
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libispack-g95-dev
Description: FORTRAN77 subroutine library for scientific computing
 ISPACK is a Fortran 77 subroutine library(spectral transformation,
 time integration, and IO, etc.) for Computational Fluid Dynamics.
 This package is metapackage to install libispack-g95-dev.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk

DEB_MAKE_INSTALL_TARGET := install
DEB_MAKE_CLEAN_TARGET := veryclean
DEB_COMPRESS_EXCLUDE := .f .dat .F 
DEB_DH_INSTALL_SORUCEDIR := $(CURDIR)/debian/tmp

pre-build::
	dh_installdirs
	mkdir -p $(CURDIR)/debian/tmp/usr/lib

clean::
	rm -f $(CURDIR)/debian/*.log

## ispack-g95 0.96

=== debian/changelog ===
ispack-g95 (0.96-3) unstable; urgency=low

  * Fix wrong link. 

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Tue, 28 Feb 2012 09:42:35 +0900

ispack-g95 (0.96-2) unstable; urgency=low

  * Separate MPI and SERIAL library 

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Mon, 27 Feb 2012 17:21:40 +0900

ispack-g95 (0.96-1) unstable; urgency=low

  * Change Source format: 3.0 (quilt)
  * Imported Upstream version 0.96

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Wed, 22 Feb 2012 17:09:01 +0900

=== debian/control ===
Source: ispack-g95
Section: science
Priority: optional
Maintainer: Youhei SASAKI <uwabami@gfd-dennou.org>
Build-Depends: debhelper (>= 7.0.50~), g95, openmpi-g95
Standards-Version: 3.9.2
Homepage: http://www.gfd-dennou.org/arch/ispack/

Package: libispack-g95-0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FORTRAN77 subroutine library for Scientific Computing - library
 ISPACK is a Fortran 77 subroutine library(spectral transformation,
 time integration, and IO, etc.) for Computational Fluid Dynamics.
 .
 This package provides shared library


Package: libispack-g95-dev
Section: libdevel
Replaces: ispack (<= 0.71)
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libispack-g95-0 (=${binary:Version})
Suggests: g95, openmpi-g95
Description: FORTRAN77 subroutine library for scientific computing
 ISPACK is a Fortran 77 subroutine library(spectral transformation,
 time integration, and IO, etc.) for Computational Fluid Dynamics.
 This package provides static library.


Package: libispack-g95-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends}, libispack-g95-0 (=${binary:Version})
Suggests: gdb
Description: FORTRAN77 subroutine library for Scientific Computing - debugging symbols
 ISPACK is a Fortran 77 subroutine library(spectral transformation,
 time integration, and IO, etc.) for Computational Fluid Dynamics.
 .
 This package is provided primarily to provide a backtrace with names
 in a debugger, this makes it somewhat easier to interpret core
 dumps.  Most people will not need this package.

Package: ispack-g95
Conflicts: ispack (<= 0.71)
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libispack-g95-dev
Description: FORTRAN77 subroutine library for scientific computing
 ISPACK is a Fortran 77 subroutine library(spectral transformation,
 time integration, and IO, etc.) for Computational Fluid Dynamics.
 .
 This package is metapackage to install libispack-g95-dev.

=== debian/rules ===
#!/usr/bin/make -f
export DH_OPTIONS

CC := /usr/bin/gcc
FC := /usr/bin/g95
MPIFC := /usr/bin/mpif77.openmpi-g95
FFLAGS := -g -O2 -fPIC -Wall
LIBNAME := libispack-g95
LIBNAME_MPI := libispack-g95-mpi
LIBNAME_FFTW2 := libispack-g95-fftw2
LIBNAME_FFTW2_MPI := libispack-g95-fftw2-mpi
AS := /usr/bin/as
SSE := fort
# ifeq ($(shell dpkg-architecture -qDEB_BUILD_ARCH), amd64)
# 	SSE := sse64
# endif
# ifeq ($(shell dpkg-architecture -qDEB_BUILD_ARCH), i386)
# 	SSE := sse32
# endif
CPPFLAGS := -DDIRECT -DIEEE -DASCII -DLEN -DET
CPPFLAGS_FFTW2 := -DDIRECT -DIEEE -DASCII -DLEN -DET -DFFTW2

ISPACK_COMMON_FLAGS := \
	FC="$(FC)" \
	FFLAGS="$(FFLAGS)" \
	MPIFC="" \
	MPIFFLAGS="" \
	SSE="$(SSE)" \
	AS="$(AS)"

ISPACK_MPI_COMMON_FLAGS := \
	FC="$(FC)" \
	FFLAGS="$(FFLAGS)" \
	MPIFC="$(MPIFC)" \
	MPIFFLAGS="$(FFLAGS)" \
	SSE="$(SSE)" \
	AS="$(AS)"


%:
	dh $@ --buildsystem makefile

override_dh_auto_build:
	@echo "$(SSE), serial"
	dh_auto_build -- \
		$(ISPACK_COMMON_FLAGS) \
		CPPFLAGS="$(CPPFLAGS)" \
		LIBNAME=$(LIBNAME)
	$(CC) -shared -Wl,-soname,$(LIBNAME).so.0 -o $(CURDIR)/$(LIBNAME).so.0.9.6 `find $(CURDIR)/ -name \*.o `
	ln -s $(LIBNAME).so.0.9.6 $(LIBNAME).so
	ln -s $(LIBNAME).so.0.9.6 $(LIBNAME).so.0
	$(MAKE) clean
	@echo "$(SSE), MPI"
	dh_auto_build -- \
		$(ISPACK_MPI_COMMON_FLAGS) \
		CPPFLAGS="$(CPPFLAGS)" \
		LIBNAME=$(LIBNAME_MPI)
	$(CC) -shared -Wl,-soname,$(LIBNAME_MPI).so.0 -o $(CURDIR)/$(LIBNAME_MPI).so.0.9.6 `find $(CURDIR)/ -name \*.o `
	ln -s $(LIBNAME_MPI).so.0.9.6 $(LIBNAME_MPI).so
	ln -s $(LIBNAME_MPI).so.0.9.6 $(LIBNAME_MPI).so.0
	$(MAKE) clean
	@echo "$(SSE), serial, FFTW2"
	dh_auto_build -- \
		$(ISPACK_COMMON_FLAGS) \
		CPPFLAGS="$(CPPFLAGS_FFTW2)" \
		LIBNAME=$(LIBNAME_FFTW2)
	$(CC) -shared -Wl,-soname,$(LIBNAME_FFTW2).so.0 -o $(CURDIR)/$(LIBNAME_FFTW2).so.0.9.6 `find $(CURDIR)/ -name \*.o`
	ln -s $(LIBNAME_FFTW2).so.0.9.6 $(LIBNAME_FFTW2).so
	ln -s $(LIBNAME_FFTW2).so.0.9.6 $(LIBNAME_FFTW2).so.0
	$(MAKE) clean
	@echo "$(SSE), MPI, FFTW2"
	dh_auto_build -- \
		$(ISPACK_MPI_COMMON_FLAGS) \
		CPPFLAGS="$(CPPFLAGS_FFTW2)" \
		LIBNAME=$(LIBNAME_FFTW2_MPI)
	$(CC) -shared -Wl,-soname,$(LIBNAME_FFTW2_MPI).so.0 -o $(CURDIR)/$(LIBNAME_FFTW2_MPI).so.0.9.6 `find $(CURDIR)/ -name \*.o`
	ln -s $(LIBNAME_FFTW2_MPI).so.0.9.6 $(LIBNAME_FFTW2_MPI).so
	ln -s $(LIBNAME_FFTW2_MPI).so.0.9.6 $(LIBNAME_FFTW2_MPI).so.0
	# sed 's/$$(DEB_HOST_MULTIARCH)/$(DEB_HOST_MULTIARCH)/' $(CURDIR)/debian/libispack0.install.in > $(CURDIR)/debian/libispack0.install
	# sed 's/$$(DEB_HOST_MULTIARCH)/$(DEB_HOST_MULTIARCH)/' $(CURDIR)/debian/libispack-dev.install.in > $(CURDIR)/debian/libispack-dev.install


override_dh_auto_clean:
	dh_auto_clean
	$(MAKE) veryclean
	rm -f $(CURDIR)/libispack*.a
	rm -f $(CURDIR)/libispack*.so*

override_dh_compress:
	dh_compress -X.tex -X.f -X.dat -X.F

override_dh_strip:
	dh_strip --dbg-package=libispack-g95-dbg

# include /usr/share/cdbs/1/rules/debhelper.mk
# include /usr/share/cdbs/1/class/makefile.mk
# include /usr/share/cdbs/1/rules/patchsys-quilt.mk

# DEB_MAKE_INSTALL_TARGET := install
# DEB_MAKE_CLEAN_TARGET := veryclean
# DEB_COMPRESS_EXCLUDE := .f .dat .F
# DEB_DH_INSTALL_SORUCEDIR := $(CURDIR)/debian/tmp

# pre-build::
# 	dh_installdirs
# 	mkdir -p $(CURDIR)/debian/tmp/usr/lib

# clean::
# 	rm -f $(CURDIR)/debian/*.log

=== debian/watch ===
version=3
http://www.gfd-dennou.org/arch/ispack/ ispack-(\d[\d\.]+)\.tar\.gz
